Thread Rating:
  • 1 Vote(s) - 5 Average
  • 1
  • 2
  • 3
  • 4
  • 5
CKEditor 4.0.2 Update
#1
Hallo,
ich will den CKEditor v3.6.2 updaten auf die mittlerweile aktuelle v4.1 (vormals V 4.0.2).
Was muß ich dafür in GS3.2.0 anpassen?
LG Wolfgang

EDIT: offenbar sind beim Umzug dieser Web-Site Fehler passiert bez. der Umlaute, die nunmehr falsch dargestellt werden (trotz UTF-8).

Die vollständige Dokumentation wird nunmehr hier beschrieben:
http://www.get-simple.de/editor-update/e...ersion-41/


EDIT alt : Die vollständige Dokumentation der Lösung wird im Posting #12 beschrieben !!!

ENGLISH: See above Link or posting #12 for solution of updating CKEditor to v4.1 for GetSimple v3.2
(I will translate it if needed.)
Reply
#2
hast du denn alle Infos auf get-simple.de zum Editor und im Wiki gelesen?

Da steht doch drin, welche Dateien betroffen sind

wenn du ihn upgedatet hast, wäre schön wenn du berichtest, dann können wir das auf der Seite einbinden und ins WIKI schreiben ;=)
|--
Die deutsche GetSimple-Webseite: http://www.Get-Simple.de = the german Get-Simple-Website!
Das deutschsprachige GetSimple-(Unter-)Forum:   http://get-simple.info/forums/forumdisplay.php?fid=18
Reply
#3
Hallo Connie,
ja, ich habe die Infos gelesen (Editor & Wiki) aber nichts davon ist relevant, da nur Anpassungen.
...

EDIT: Ursprüngliches Posting gelöscht, da verwirrend.
Lösung siehe Posting #12

LG Wolfgang
Reply
#4
Enchuldiging mein deutsch is nicht sehr gut.
Aber villst du das wir in GS CKeditor neuer machen?
Hoff das ist was ich sehen will und nicht ganz doff.
Reply
#5
The dependancies branch on github has 4.01 installed.

https://github.com/GetSimpleCMS/GetSimpl...pendancies

I had to remove these lines to get it working, it is not compatible with the skin.
https://github.com/GetSimpleCMS/GetSimpl...7c35faec5a
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#6
Hello,
(2013-03-22, 03:19:20)shovenose Wrote: Aber villst du das wir in GS CKeditor neuer machen?
Hoff das ist was ich sehen will und nicht ganz doff.
I don't know what you mean.
I will use the V4.0.2 with GetSimple 3.2.0 (which has CKEditor 3.6.2 implemented).

DE: Ich weiß nicht, was du sagen willst.
Ich wollte den CKEditor V4.0.2 in GetSimple 3.2.0 verwenden.
LG Wolfgang
Reply
#7
Our skin is not compatible with 4.0, and I cannot for the life of me find out how to upgrade it. Ckeditor has horrible documentation.
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#8
Hello,
(2013-03-22, 07:54:40)shawn_a Wrote: Our skin is not compatible with 4.0, and I cannot for the life of me find out how to upgrade it. Ckeditor has horrible documentation.
1) I don't want to use the getsimple-Skin. I will use the "moono"-Skin
2) look: http://docs.ckeditor.com/#
ist that "horrible" ? I don't think so!

DE:
1) Ich hatte überhaupt nicht vor, den GetSimple-Skin zu verwenden. Ich wollte den "moono"-Skin verwenden, der in der V4.0.2 automatisch aktiv ist.
2) Ich finde die Dokumentation durchaus brauchbar - siehe: http://docs.ckeditor.com/#

LG Wolfgang
Reply
#9
Wolfgang, ich danke dir für deinen Ehrgeiz, ich kann leider nicht helfen, ich habe das noch nie gemacht.
Ich habe früher mal eine neuere Version in das Editor-Verzeichnis gekübelt, da kam es aber nicht zu solchen Situationen. Habe ich wohl Glück gehabt!

Shovenose and Shawn, thanks for your support.
I did not work with version 4 until now and former "Updates", just uploading new files and folders into editor directories did work, not such problems

but I think this work is necessary to be done, to make sure we can stay uptodate with the editors,

Thanks to all brave men!

Connie
|--
Die deutsche GetSimple-Webseite: http://www.Get-Simple.de = the german Get-Simple-Website!
Das deutschsprachige GetSimple-(Unter-)Forum:   http://get-simple.info/forums/forumdisplay.php?fid=18
Reply
#10
Well let me know what you find cause like I said getsimple already has 4.0 testing for 3.3.

I will test with custom config and toolbar and see if it is working.
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#11
GSEDITORLANG: PASSING
GSEDITORHEIGHT: PASSING
Custom toolbar: PASSING
GSEDITOROPTIONS: PASSING
Custom config file: PASSING
Plugin: PASSING
TemplatesTongueASSING


Attached Files Thumbnail(s)
   
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#12
Hallo an alle Update-willigen, die nicht auf GetSimple v3.3 warten wollen !!!

EDIT: Mittlerweile gibt es die vollständigen Informationen hier:
http://www.get-simple.de/editor-update/e...ersion-41/

Hier ist die Zusammenfassung der erforderlichen Änderungen.
EDIT: Wie ich gerade erfahren habe, ist CKE 4.1 bereits im dev-branch von GS v3.3 vorgesehen. Ich kann das aber nicht nachvollziehen bzw. finden, und daher meine Lösung hier für GS v3.2. /EDIT
EDIT2: Ich habe noch weitere Vereinfachungen vorgenommen. /EDIT2

Die Voraussetzungen und die Aufgabenstellung waren folgende:
Ausgangsstatus:
GetSimple v3.2.0 mit CKEditor v3.6.2
Ziel:
Update auf CKEditor v4.x

Es waren folgende Punkte zu behandeln:
  1. Editor-Fenster mit Toolbar sichtbar und verwendbar
  2. Skin auswählbar u.a. Konfigurationen
  3. Änderungen erkennen

Schritt 1) Download von CKEditor v4.1 (Stand 1.4.2013) von Basic, Standard, Full Download
Die persönlich angepaßte Version unter Angepaßte Version funktioniert wegen des "Loaders" nicht !!! Keine Ahnung warum und ich habe es auch nicht nachverfolgt.


Schritt 2) Den gesamten Ast
Code:
...\getsimple\admin\template\js\ckeditor
ersetzen (unzip & upload to Server). Ggf. den Skin "kama" von hier http://ckeditor.com/addon/kama downloaden und ins Skin-Verzeichnis zusätzlich uploaden!


Schritt 3) Der CKEditor wird von GetSimple in edit.php aufgerufen. Daher ist diese Datei anzupassen.

Da der Skin "getsimple" nicht kompatibel mit CKEditor V4.x ist, kann nur der Skin "moono" (monochrom) oder "kama" (farbig) verwendet werden. Daher ist die fixe Zuordnung skin: 'getsimple', in edit.php zu entfernen, auszukommentieren oder zu ändern und uiColor einen anderen Wert zuzuweisen. (Beides ist in GS 3.2.1 bereits gemacht.)

Ebenso sind die Zeilen toolbar: ... und die Zeile mit $EDOPTIONS inkompatibel und daher auszukommentieren.
(Hier ist man nicht gewillt, den Fehler zu korrigieren - siehe daher obigen Link.)

Weiters ist die Erkennung von Änderungen in der für v3.6.2 nicht funktionsfähig, da Aktionen von der Toolbar nicht erkannt werden.
(Auch dieser Fehler wird noch nicht akzeptiert - siehe folgende Postings.)
Das Problem, Änderungen des (Editor)Inhaltes zu erkennen ist schon mehrmals beschrieben worden:
... links können nachgefragt werden ...
Ich habe auch das Sample "api.html" analysiert und bin zu folgendem Ergebnis gekommen:
Da es im CKEditor v4.1 (noch) keinen Event "change" gibt, aber die Funktion "checkDirty" ein brauchbares Ergebnis liefert, scheint es für mich am Einfachsten zu sein, diese Funktion periodisch (alle 200ms) aufzurufen.

Zusammengenommen sind daher folgende Änderungen durchzuführen:
edit.php - original für v3.6.2:
Code:
    var editor = CKEDITOR.replace( 'post-content', {
                skin : 'getsimple',
          ... ... ...
                uiColor : '#FFFFFF',
          ... ... ...
                toolbar :
                [
                <?php echo $toolbar; ?>
                ] */
                <?php echo $EDOPTIONS; ?>,    
          ... ... ...
    });
    CKEDITOR.instances["post-content"].on("instanceReady", InstanceReadyEvent);
    function InstanceReadyEvent() {
        this.document.on("keyup", function () {
            $('#editform #post-content').trigger('change');
        });
    }
geändert für v4.1:
Code:
    var editor = CKEDITOR.replace( 'post-content', {
                skin : 'kama',
          ... ... ...
                uiColor : '#8080E0',
          ... ... ...
                /*
                toolbar :
                [
                <?php echo $toolbar; ?>
                ] */
                <?php echo $EDOPTIONS; ?>,
                */
          ... ... ...
    });
    // The instanceReady event is fired,
    // when an instance of CKEditor has finished its initialization.
    CKEDITOR.on( 'instanceReady', function( ev ) { editor = ev.editor; });

    var timer = setInterval(function(){checkChanged()},200);

    function checkChanged() {
        if ( CKEDITOR.instances["post-content"].checkDirty() ) {
            $('#editform #post-content').trigger('change');
        }
    };

Möglicherweise sind dadurch andere Üerprüfungen auf Änderungen hinfällig geworden !?!?

Natürlich müssen die Verzeichnisse:
Code:
... \getsimple\admin\template\js\ckeditor\skins\kama
... \getsimple\admin\template\js\ckeditor\skins\moono
mit entsprechendem Inhalt vorhanden sein !!!


Schritt 3) Die Anpassungen des CKEditors in der gsconfig.php haben Priorität vor den Einstellungen in:
Code:
    ...\getsimple\admin\template\js\ckeditor\config.js
Ich empfehle aber, die Einstellungen in der config.js zu machen und nicht in der gsconfig.php !!!
Die möglichen Einstellungen sind in der CKE 4 Doku nachzulesen:
http://docs.ckeditor.com/# > Configuration Reference
Einige habe ich hier verwendet:
Code:
CKEDITOR.editorConfig = function( config ) {
    // Define changes to default configuration here.
    //config.resize_dir = 'vertical'; // vertical resize
    config.toolbarCanCollapse = true; // hide/show toolbar collapse button
    config.skin = 'kama';
    config.uiColor = '#8080E0'; // helles blau
    config.language = 'de';
    config.emailProtection = 'encode';
    // Default setting. rearranged
    config.toolbarGroups = [
    { name: 'document',    groups: [ 'mode', 'document', 'doctools' ] },
    { name: 'clipboard',   groups: [ 'clipboard', 'undo' ] },
    { name: 'editing',     groups: [ 'find', 'selection', 'spellchecker' ] },
    { name: 'forms' }, { name: 'insert' },
    '/',
    { name: 'basicstyles', groups: [ 'basicstyles', 'cleanup' ] },
    { name: 'paragraph',   groups: [ 'list', 'indent', 'blocks', 'align' ] },
    { name: 'links' },
    // 'insert' war hier
    '/',
    { name: 'styles' }, { name: 'colors' }, { name: 'tools' }, { name: 'others' }, { name: 'about' }
];
};

LG Wolfgang

PS: Please ask me if somebody needs english explanation.
Reply
#13
Wolfgang, danke für die Mühe! Ich setze diesen Beitrag mal auf "sticky", damit er nicht untergeht, ich kanns noch nicht gleich auf die Webseite von get-simple.de setzen, da ich gerade ein grösseres Hausbau-Problem habe ...

aber ich bring das dort schon mal als Tipp mit Link zu deinem Post hier!

Merci, Connie
|--
Die deutsche GetSimple-Webseite: http://www.Get-Simple.de = the german Get-Simple-Website!
Das deutschsprachige GetSimple-(Unter-)Forum:   http://get-simple.info/forums/forumdisplay.php?fid=18
Reply
#14
These instructions are unnecessarily complicated.
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#15
(2013-04-02, 23:28:27)shawn_a Wrote: These instructions are unnecessarily complicated.
Ok, I have reduced the changes.

Ok, ich habe die Änderungen nochmals minimiert.

LG Wolfgang
Reply
#16
I'm under the assumption that GS 3.3 is going to have CKE4? Is that correct?
Reply
#17
Hallo,
(2013-04-05, 10:21:00)shovenose Wrote: ... GS 3.3 is going to have CKE4? Is that correct?
May be ! I cannot validate that. The only Info I had ist here:
https://github.com/GetSimpleCMS/GetSimpleCMS/issues/544

Ja, laut obigem Link wird GS 3.3 den CKE4.1 implementiert haben.
LG Wolfgang
Reply
#18
Not going to , already does. Install it and find out.
http://get-simple.info/forums/showthread.php?tid=4475
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#19
Hello,
(2013-04-06, 23:45:33)shawn_a Wrote: Not going to , already does. Install it and find out.
http://get-simple.info/forums/showthread.php?tid=4475
Sorry - Stable patched to ckeditor to 4.2
from
https://github.com/GetSimpleCMS/GetSimpl...ki/testing
ist not working !!!
- is not CKE 4.2 - is only CKE 4.1 >> solved
- Editor-Window not visible >> solved
- Only standard version - not all toolbar buttons
- Changes from Toolbar-Buttons will not recognised
>> solved
__________________________________________________

Leider kann die das nicht bestätigen. Die oben angegebene Version funktioniert NICHT !!!
1) Es ist nur CKE 4.1 und nicht wir angegeben 4.2 (den gibt es noch gar nicht). >> gelöst
2) Es ist nur die Standard-Version und nicht die Full-Version, in der alle Editor-Toolbar Buttons vorhanden wären. >> gelöst
3) Es ist kein Editor-Fenster sichtbar. >> gelöst
4) Änderungen durch Toolbar-Buttons werden nicht erkannt. >> gelöst
5) Kleine Unstimmigkeiten und Behinderungen bestehen weiterhin. Daher siehe Posting #1 & #12 !!!
EDIT: Die obigen Probleme wurden größtenteils fast vollständig gelöst. Danke
LG Wolfgang
Reply
#20
Hmm ill test again, I must have broke something on the commit.
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#21
Yes 4.1 oops, latest version.

Works for me just fine, I just disabled acf, in case that was causing issues, maybe try again.
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#22
Hello,
ok, now it is better. The Editor-Windows is visible.
But still troubles if no definitions in gsfonfig.php.

My recommentations are following, because I mean it is more consistent:
DE: Meine Empfehlungen für mehr Konsistenz:

1) If GSEDITOROPTIONS is not defined in gsconfig.php then nothing should be included.
Wenn in gsconfig.php GSEDITOROPTIONS nicht definiert ist, dann sollte auch nichts eingefügt werden.

your GS3.2.1:
Code:
if (defined('GSEDITOROPTIONS') && trim(GSEDITOROPTIONS)!="") { $EDOPTIONS = ", ".GSEDITOROPTIONS; } else {    $EDOPTIONS = ''; }

toolbar :
[
<?php echo $toolbar; ?>
]
<?php echo $EDOPTIONS; ?>,

my recommentation #1:
Code:
if (defined('GSEDITOROPTIONS') && trim(GSEDITOROPTIONS)!="") { $EDOPTIONS = GSEDITOROPTIONS.","; } else {    $EDOPTIONS = ''; }

toolbar :
[
<?php echo $toolbar; ?>
],
<?php echo $EDOPTIONS; ?>

2) If GSEDITORTOOL is not defined in gsconfig.php then nothing should be included.
There is a default Toolbar in GKE 4.1 - so I need no config-definition.
DE: Wenn in gsconfig.php GSEDITOROPTIONS nicht definiert ist, dann sollte auch nichts eingefügt werden.
In CKE 4.1 ist sowieso eine Toolbar als default.

your GS3.2.1:
Code:
if (defined('GSEDITORTOOL')) { $EDTOOL = GSEDITORTOOL; } else {    $EDTOOL = 'basic'; }

if ($EDTOOL == 'advanced') {
    ...

    } else {
        $toolbar = GSEDITORTOOL;
    }


toolbar :
[
<?php echo $toolbar; ?>
],

my recommentation #2:
Code:
if (defined('GSEDITORTOOL')) { $EDTOOL = GSEDITORTOOL; } else {    $EDTOOL = ''; }

if ($EDTOOL == 'advanced') {
    ...

    } else {
        $toolbar = GSEDITORTOOL;
    }

if (defined('GSEDITORTOOL')) { $toolbar = 'toolbar :['.$toolbar.'],'; }
else {    $toolbar = ''; }



<?php echo $toolbar; ?>

!!! - Changes from Toolbar-Buttons will not recognised !!!

LG Wolfgang
Reply
#23
It works just as it is supposed to, defaults to GS standard, as it always has.

We do not support the default ck toolbars at the moment.
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#24
Do you know , edoptions is after toolbar in the config array, you so can overwrite it.

PHP Code:
define('GSEDITOROPTIONS',"toolbar: null"); 

Will give you the default cke full toolbar.
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#25
Hello,
(2013-04-07, 23:32:43)shawn_a Wrote: We do not support the default ck toolbars at the moment.
Ok, but it is possible with minimal changes.
DE: Dass GS derzeit die default-Toolbar von CKE 4.1 nicht unterstützt, das ist mit minimalen Änderungen veränderbar. Ich habe es bereits beschrieben.

(2013-04-07, 23:48:50)shawn_a Wrote:
PHP Code:
define('GSEDITOROPTIONS',"toolbar: null"); 
Will give you the default cke full toolbar.
NO, does not work !!!
Ich habe es nochmals überprüft - I have checked twice !!

1) Download CKE 4.1 full - unzip & upload to server.

2) gsconfig.php
Code:
# WYSIWYG Editor Options
#define('GSEDITOROPTIONS', '');
config.js (CKE 4.1):
Code:
    config.toolbarCanCollapse = true; // hide/show toolbar collapse button
    config.skin = 'kama';
    config.uiColor = '#8080E0'; // helles blau
erzeugt - produces:
Code:
toolbar :
[
['Bold', 'Italic', 'Underline', 'NumberedList', 'BulletedList', 'JustifyLeft','JustifyCenter','JustifyRight','JustifyBlock', 'Link', 'Unlink', 'Image', 'RemoveFormat', 'Source']                    ]
,
tabSpaces:10,
Ergebnis - result:
   
> config.js ignoriert/ignored - nur/only 'moono'-skin
> minimal Buttons
> 'JustifyLeft','JustifyCenter','JustifyRight','JustifyBlock', nur/only in CKE-full, not in Std./Basic !!!

3) gsconfig.php wie beschrieben - as you described:
Code:
# WYSIWYG Editor Options
define('GSEDITOROPTIONS', "toolbar: null");
erzeugt - produces:
Code:
toolbar :
[
['Bold', 'Italic', 'Underline', 'NumberedList', 'BulletedList', 'JustifyLeft','JustifyCenter','JustifyRight','JustifyBlock', 'Link', 'Unlink', 'Image', 'RemoveFormat', 'Source']                    ]
, toolbar: null,
tabSpaces:10,
Ergebnis - result:
       
> sinnloser Code - wrong code
> config.js ignoriert/ignored - nur/only 'moono'-skin
> nicht alle Buttons vorhanden - not all buttons in Std./Basic
> alle Buttons in CKE-full

4) edit.php auskommentieren oder ändern wir in meinem letzen Posting beschrieben:
comment or change, see my last posting:
Code:
/* toolbar :
[
<?php echo $toolbar; ?>
]
<?php echo $EDOPTIONS; ?>,
Ergebnis - result:
!!! Alle Toolbar-Buttons sind vorhanden !!! All toolbar-buttons are visible !!!
   

5) config.js
Code:
    // Default setting. rearranged
    config.toolbarGroups = [
    { name: 'document',    groups: [ 'mode', 'document', 'doctools' ] },
    { name: 'clipboard',   groups: [ 'clipboard', 'undo' ] },
    { name: 'editing',     groups: [ 'find', 'selection', 'spellchecker' ] },
    { name: 'forms' }, { name: 'insert' },
    '/',
    { name: 'basicstyles', groups: [ 'basicstyles', 'cleanup' ] },
    { name: 'paragraph',   groups: [ 'list', 'indent', 'blocks', 'align' ] },
    { name: 'links' },
    // 'insert' war hier
    '/',
    { name: 'styles' },
    { name: 'colors' },
    { name: 'tools' },
    { name: 'others' },
    { name: 'about' }
];
};
Ergebnis - result:
Alle Toolbar-Buttons und Skin "kama" ok.
   

Ich verstehe nicht, wo das Problem liegt, dass meine Anregungen nicht akzeptiert werden. Diese minimalen Änderungen würden das Problem lösen.
I don't understand the problem accepting my recommentations. The minimal changes would solve the Problem.

LG Wolfgang
Reply




Users browsing this thread: 1 Guest(s)
Free HDTV Channels Residential Solar Panels